<?php

declare(strict_types=1);

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Http\Resources\MessageCollection;
use App\Models\Message;
use Inertia\Response as InertiaResponse;

class MessageController extends Controller
{
    public function index() : InertiaResponse {
        return inertia('Messages/Index', [
            'messages' => new MessageCollection(Message::all()),
        ]);
    }
}
